package go_cache

import (
	"time"

	"github.com/patrickmn/go-cache"
)

const (
	DefaultExpiration time.Duration = 5 * time.Minute
	CleanupInterval   time.Duration = 10 * time.Minute
)

type GoCache struct {
	Cache *cache.Cache
}

func NewCache() *GoCache {
	return &GoCache{
		Cache: cache.New(DefaultExpiration, CleanupInterval),
	}
}
